package gui.pannelliGestione.graphicsFdtElem;

import java.awt.Graphics2D;

public class GraphicH extends GraphicElement {
	
	private int h;
	
	private String hString(){
		return ""+h;
	}
	
	public int getMolteplicita(){
		return h;
	}
	public void setMolteplicita(int molteplicita) {
		this.h = molteplicita;
	}

	@Override
	public void paintElement(Graphics2D g, int x, int y) {
		
		int xS = x;
		int yS = y+MAIN_FONT_BASELINE;
		int xH = x + getStringW("s", MAIN_FONT);
		int yH = y+LITTLE_FONT_BASELINE;
		
		g.setFont(MAIN_FONT);
		g.drawString("s", xS, yS);
		g.setFont(LITTLE_FONT);
		g.drawString(h+"", xH, yH);
		
		ultimaPosizione.setBounds(x, y, getW(), getH());
	}

	@Override
	public int getW() {
		return getStringW("s", MAIN_FONT) + getStringW(hString(), LITTLE_FONT);
	}

	@Override
	public int getH() {
		return MAIN_FONT_HEIGHT;
	}

}
