package gui.pannelliGestione.graphicsFdtElem;

import java.awt.Graphics2D;

public class GraphicK extends GraphicElement {
	
	private double k;
	
	public GraphicK() {
		k=1.0D;
	}

	private String kString(){
		return formatDouble(k);
	}
	
	public double getK() {
		return k;
	}
	public void setK(double k) {
		this.k = k;
	}
	

	@Override
	public void paintElement(Graphics2D g, int x, int y) {
		g.setFont(MAIN_FONT);
		g.drawString(kString(), x, y+MAIN_FONT_BASELINE);
		ultimaPosizione.setBounds(x, y, getW(), getH());
	}

	@Override
	public int getW() {
		return getStringW(kString(), MAIN_FONT);
	}

	@Override
	public int getH() {
		return MAIN_FONT_HEIGHT;
	}
	
	

}
